

############## Download ###################################################################################
#	http://www.r-project.org/
#	Download CRAN
#	http://cran.cict.fr/
#	Windows (ou autres)
#	base
#	Download R 2.12.0 for Windows
#	installer
###########################################################################################################


############## Lancer R  /  Script ########################################################################
#  Crer un rpertoire de travail sur le bureau, dans lequel se trouvent 
#  les fichiers de donnes et les fichiers que vous allez ventuellement diter avec R.
#  - Lancer R --> Fichier --> changer rpertoire courant --> Dossier de travail sur le Bureau
#  - ouvrir un script (dj prsent dans le rpertoire) ou "new script"
#  - attente de commande:  control R pour copier-coller la commande
#  - # = insrer des commentaires
#  - flches haut et bas = naviguer dans les commandes dj lances 
###########################################################################################################


############## Aide #######################################################################################
?plot				# aide sur la fonction "plot"
###########################################################################################################


############## Calculs et Objets ##########################################################################
2+2
exp(10)
a = log(2)	# cration de l'objet "a"
a
b = cos(10)
a+b
2==3		# logique: "est-ce que 2 est gal  3"?
b = 2<3	# je stocke le rsultat de la question dans l'objet b
rm(a)		# j'efface "a"
a
a="toto"	# on peut stocker du texte
a

#### Vecteur: cration, exploration et manipulation
x = c(2,3,5,8,4,6) ; x	# je cre un vecteur de valeurs, x, avec fonction c(), puis je demande "x" (2 commandes sur une mme ligne avec ";")
length(x)			# longueur
x[2]; x[2:4]		# exploration	
sort(x); x[-3]		# manipulation (si tri dcroissant: sort(x,decreasing=F))
1:10				# nombres entiers de 1  10
seq(from=1,to=20,by=2)	# une squence de 1  20 avec un intervalle de 2
rep(5,times=10)		# rptition d'une valeur

z = c(12,26,32,41,16,81)
z>30;which(z>30);z[z>30]	# manipulation suivant un critre: oui/non; indices; valeurs
z[2] = 22; z
z+100
x;z;x+z
c(x,z)
sin(x) 
		
#### Matrice
A = matrix(1:15,ncol=5) ; A			# une matrice A de 5 colonnes contenant 1  15, remplie par colonnes
A = matrix(1:15,ncol=5,byrow=T) ; A	# remplie par lignes
A[1,3]; A[1,]; A[,2]; A[1:3,2:4]		# selection [ligne,colonne]  
A[A[,1]==11,]					# j'extrait des lignes ou colonnes suivant un critre 
cos(A)
apply(A,2,sum)					# somme les lments des colonnes
apply(A,1,max)					# donne la valeur maximale de chaque ligne

############## Importation de donnes #####################################################################
### sous excel, enregistrer en "txt" avec sparateur = tabulation
### attention pour les tableaux de donnes, R n'aime pas les espaces vides au sein des noms (de variables ou d'individus) -->  "_" ou "." ou "tout attach"
### on spcifie si la premire ligne correspond au nom des variables: "header=T"
### on spcifie le sparateur (sep=" " : espace, sep=";" : point-virgule,  sep="\t" : tabulation)
### si la dcimale est une virgule alors dec=","

croissance = read.table("croissance_plantes.txt", sep="\t",header=TRUE)  ; croissance
attach(croissance)	# "activer" les noms de variables pour pouvoir afficher les valeurs en tapant le nom de la variable
names(croissance)
###########################################################################################################

############## Exportation d'objets R #####################################################################
write.table(croissance,"my_data.txt",quote=F,col.names= T,row.names = F, sep = "\t") # j'exporte fichier "txt"
###########################################################################################################


############## Fonctions graphiques #######################################################################

#### une variable qualitative (effectifs de diffrentes catgories)
names=c("Boeuf","Poulet","Mouton","Porc")	# catgories
data=c(25,120,62,18)					# effectifs
pie(data,names, main="effectifs d'levage d'une ferme")
barplot(data, names.arg=names)

#### une variable quantitative
# ex : un vecteur donn de valeurs de poids de tomates cerises
tomate=c(12,15,7,15,14,4,12,23,9,18,19)	
par(mfrow=c(1,3))		# dcouper une fentre graphique (ici: "une ligne, 3 colonnes") pour positionner plusieurs graphiques
hist(tomate,xlim=c(0,30),xlab="grammes",ylab="frquence",freq=T,main="histogramme du poids de tomates cerise",col="red")
plot(density(tomate),xlim=c(0,30),ylim=c(0,0.08),xlab="grammes",ylab="frquence",main="distribution du poids de tomates cerise")
boxplot(tomate,main="boxplot du poids de tomates cerise")

#### deux variables quantitatives
# ex: reprsentation de la fonction sinus sur lintervalle [-10,10]
x=seq(-10,10,l=100)
plot(x,sin(x))
plot(x,sin(x),type="l",col="blue",lwd=2)
abline(h=0,v=0,lty=2)
points(0,0,pch="+",cex=3,col="red")
lines(x,cos(x),col="green",lty=2)

# voir TP2 pour autre exemple: nuage de points sur 2 variables quantitatives mesures sur un mme chantillon
###########################################################################################################


############## Sauvegarde et/ou exportation d'un graphique ################################################
# copier-coller : menu Fichier > Copier vers le presse-papier puis coller dans word
# sauvegarder : menu Fichier, rubrique Sauver sous (Formats : emf, ps, pdf, png, bmp, jpeg ...)

# exportez le graphique prcdent
###########################################################################################################


############## Statistiques descriptives unidimensionnelle ################################################
# moyenne, variance (correction "n-1"), cart-type, et fonction summary() 
mean(hauteur); var(hauteur); sd(hauteur)	
summary(hauteur)			# rsume le jeu de donnes

# valeur minimale, maximale
min(hauteur); max(hauteur)

# quantiles
median(hauteur); quantile(hauteur); quantile(hauteur,c(0.5,0.95,0.99))
###########################################################################################################



